Subject: Re: [GSoC RFC PATCH v2 1/7] repo-info: declare the repo-info command

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 3 Jul 2025 13:31:55 +0200

On Thu, Jun 19, 2025 at 07:57:45PM -0300, Lucas Seiki Oshiro wrote:
> Create a new Git subcommand called repo-info. `git repo-info` will query
> metadata from the current repository and outputs it as JSON or plaintext.

One thing I wondered: Justin is currently iterating on git-survey(1),
which is the command Stolee proposed a while ago to gather repository
metrics. Would it make sense to maybe have such whole-repo commands
grouped together in a `git repo` top-level command? E.g. `git repo info`
for your command, `git repo size` to gather information about the repo
size.

> Also add entries for this new command in:
> 
> - the build files (Makefile and meson.build)
> - builtin.h
> - git.c
> - .gitignore
> 
> In option parsing, use PARSE_OPT_KEEP_UNKNOWN_OPT to allow the users
> specify after the flags the information that they want to retrieve.
> 
> Mentored-by: Karthik Nayak <[email-masked]>
> Mentored-by Patrick Steinhardt <[email-masked]>

Nit: missing colon. It's also present in subsequent patches.

Patrick